require File.expand_path('lib/snake_the_game/version', __dir__)

Gem::Specification.new do |s|
  s.name        = 'snake_the_game'
  s.version     = SnakeGame::VERSION
  s.homepage    = 'https://gitlab.fit.cvut.cz/mi-rub/2017/jiroudav'
  s.license     = 'MIT'
  s.author      = 'David Jirout'
  s.email       = 'jiroudav@fit.cvut.cz'

  s.summary     = 'Snake the game'
  s.description = 'A bit updated remake of famous Nokia3310-like Snake'

  s.files       = Dir['bin/*', 'lib/**/*', '*.gemspec', 'LICENSE*', 'README*']
  s.executables = Dir['bin/*'].map { |f| File.basename(f) }
  s.has_rdoc    = 'yard'

  s.required_ruby_version = '>= 2.2'

  s.add_runtime_dependency 'gosu', '~> 0.13.2'

  s.add_development_dependency 'rake', '~> 12.0'
  s.add_development_dependency 'rspec', '~> 3.6'
  s.add_development_dependency 'yard', '~> 0.9'
end
